%define pkg_name        Class-Phrasebook
%define pkg_version     0.88
%define rpm_pkg_version 0.88
%define rpm_pkg_release 2.n0i.2

Summary:       Implements the Phrasebook pattern
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RA/RANI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(IO::LockedFile) >= 0.1
BuildRequires: perl(Log::LogLite) >= 0.2
BuildRequires: perl(Term::ANSIColor) >= 1.03
BuildRequires: perl(XML::Parser) >= 2.3
%endif


%description
This class implements the Phrasebook pattern. It lets us create
dictionaries of phrases. Each phrase can be accessed by a unique key. Each
phrase may have placeholders. Group of phrases are kept in a dictionary.
The first dictionary is the default one - which means that it will always
be read. One of the dictionaries might be used to override the default one.
The phrases are kept in an XML document.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.88-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Nov 13 2005 Marius Feraru <altblue@n0i.net> 0.88-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
